Récupérer une livraison
curl --request GET \
--url https://api.saspay.me/api/v1/webhook-logs/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.saspay.me/api/v1/webhook-logs/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.saspay.me/api/v1/webhook-logs/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e5f6a7b8-1111-2222-3333-444455556666",
"webhook": "c1d2e3f4-1111-2222-3333-444455556666",
"transaction": "7c1a2b3c-1111-2222-3333-444455556666",
"settlement": null,
"wallet_transfer": null,
"event_type": "transaction.success",
"url": "https://exemple.com/webhooks/saspay",
"payload": {
"event": "transaction.success",
"data": {
"id": "7c1a2b3c-1111-2222-3333-444455556666",
"reference": "TXN-2026-000456",
"type": "PAYIN",
"status": "SUCCESS",
"amount": "25000.00",
"net_amount": "24375.00",
"currency": "XOF"
}
},
"http_status": 200,
"attempt": 1,
"status": "DELIVERED",
"sent_at": "2026-08-12T09:40:01Z",
"response_body": "OK",
"next_retry_at": null,
"exhausted_at": null,
"created_at": "2026-08-12T09:40:00Z"
}Webhooks
Récupérer une livraison
Détail d’une tentative de livraison, avec le payload exact envoyé
GET
/
webhook-logs
/
{id}
/
Récupérer une livraison
⌘I